Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.constructionheuristic.placer
Class PooledEntityPlacerConfig

    java.lang.Object
      org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig
          org.optaplanner.core.config.constructionheuristic.placer.PooledEntityPlacerConfig

    public class PooledEntityPlacerConfig

extends EntityPlacerConfig

Constructor Summary
`PooledEntityPlacerConfig()`

Method Summary
`PooledEntityPlacer` | `buildEntityPlacer(HeuristicConfigPolicy configPolicy, Termination phaseTermination)`
`MoveSelectorConfig` | `getMoveSelectorConfig()`
`void` | `inherit(PooledEntityPlacerConfig inheritedConfig)`
`void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig
`deduceEntityDescriptor, inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PooledEntityPlacerConfig

    public PooledEntityPlacerConfig()

Method Detail

### getMoveSelectorConfig

    public MoveSelectorConfig getMoveSelectorConfig()

### setMoveSelectorConfig

    public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

### buildEntityPlacer

    public PooledEntityPlacer buildEntityPlacer(HeuristicConfigPolicy configPolicy,
                                                Termination phaseTermination)

  Specified by:
    `buildEntityPlacer` in class `EntityPlacerConfig`

### inherit

    public void inherit(PooledEntityPlacerConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `EntityPlacerConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.